Bug 204829 - cdrdao: as a normal user, gives a warning; as root, none
cdrdao: as a normal user, gives a warning; as root, none
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cdrdao (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 15:07 EDT by Paul Smith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 01:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Smith 2006-08-31 15:07:18 EDT
If I try to copy an audio CD, as a normal user, with the command 

cdrdao copy --eject --device /dev/dvd

I get the following warning:

«WARNING: No super user permission to setup real time scheduling».

The warning persists even after 

chmod u+s /usr/bin/cdrdao

but no progress.

No warning is given if I copy the audio CD as root.
Comment 1 Andre Robatino 2006-08-31 22:22:24 EDT
  Can you successfully copy the CD anyway?  In bug #191684 is the problem that
cdrdao doesn't work for writing as a normal user at all (maybe this is only for
data CDs?).  It's normal to get warnings from cdrecord when running as a normal
user:

cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: WARNING: This causes a high risk for buffer underruns.

I'm guessing that your warning is normal as well.

Note You need to log in before you can comment on or make changes to this bug.